=== debian/control ===
Source: nfswatch
Section: admin
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libncurses5-dev,
 libpcap0.8-dev,
 libtirpc-dev,
 pkg-config
Standards-Version: 4.6.0
Homepage: http://nfswatch.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/carnil/nfswatch
Vcs-Git: https://salsa.debian.org/carnil/nfswatch.git
Rules-Requires-Root: no

Package: nfswatch
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Program to monitor NFS traffic for the console
 Nfswatch is a command-line tool for monitoring NFS traffic. It can capture and
 analyze the NFS packets on a particular network interface or on all interfaces.
 .
 It mostly monitors NFS client traffic (NFS requests). it also monitors the NFS
 reply traffic from a server in order to measure the response time for each RPC.
