=== debian/rules ===
#!/usr/bin/make -f

# Variable name for injection further CFLAGS into build
# is not optimally chosen as it relates to rpm builds
export RPM_OPT_FLAGS+=$(shell dpkg-buildflags --get CFLAGS)
export RPM_OPT_FLAGS+=$(shell pkg-config --cflags libtirpc)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- MANSUF=8 STRIP=
