## nfswatch 4.99.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.11 2009/02/01 23:33:37 c4chris Exp $
+# $Id$
 #
 # Makefile for nfswatch.
 #
@@ -45,7 +45,7 @@
 SVR4CFLAGS=	-DSVR4 -O
 ULTRIXCFLAGS=	-DULTRIX -O
 DECOSFCFLAGS=	-DDECOSF -O
-LINUXCFLAGS=	-DLINUX -O -Wall -W $(RPM_OPT_FLAGS)
+LINUXCFLAGS=	-DLINUX -O -Wall -W $(shell pkg-config --cflags libtirpc) $(RPM_OPT_FLAGS)
 
 IRIX40LIBS=	-lcurses -ltermcap -lsun -lm
 IRIX51LIBS=	-lcurses -ltermcap -lm
@@ -58,7 +58,7 @@
 ULTRIXLIBS=	-lcurses -ltermcap -lm
 #DECOSFLIBS=	-lcurses -ltermcap -lm
 DECOSFLIBS=	-lcurses -ltermcap -lm pfopen.c
-LINUXLIBS=	-lpcap -lncurses -lm
+LINUXLIBS=	-lpcap $(shell pkg-config --libs libtirpc) -lncurses -lm
 
 CFLAGS=
 LIBS=
