=== debian/changelog ===
nfswatch (4.99.12-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:58:18 +1100

nfswatch (4.99.12-1build2) noble; urgency=medium

  * No-change rebuild against libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 17:02:39 +0100

nfswatch (4.99.12-1build1) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:31:20 +0000

nfswatch (4.99.12-1) unstable; urgency=medium

  * New upstream version 4.99.12
    - Drop patches applied upstream
  * Declare compliance with Debian policy 4.6.1
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 05 Aug 2022 08:00:27 +0200
