=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: nfswatch
 Section: admin
 Priority: optional
-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libncurses5-dev,
  libpcap0.8-dev,
  libtirpc-dev,
  pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: http://nfswatch.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/carnil/nfswatch
 Vcs-Git: https://salsa.debian.org/carnil/nfswatch.git
