## nfswatch 4.99.13

=== debian/changelog ===
nfswatch (4.99.13-1) unstable; urgency=medium

  * New upstream version 4.99.13
    - Fixes FTCBFS: Do not hard-code the build architecture pkg-config
      (Closes: #1067119)
  * Drop patches applied upstream
  * Declare compliance with Debian policy 4.6.2
  * Update copyright years for debian/* packaging files
  * Replace Build-Depends on pkg-config with pkgconf
  * Replace Build-Depends on libncurses5-dev with libncurses-dev

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 21 Mar 2024 14:08:38 +0100
