=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: nfswatch
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libncurses5-dev,
+ libncurses-dev,
  libpcap0.8-dev,
  libtirpc-dev,
- pkg-config
-Standards-Version: 4.6.1
+ pkgconf
+Standards-Version: 4.6.2
 Homepage: http://nfswatch.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/carnil/nfswatch
 Vcs-Git: https://salsa.debian.org/carnil/nfswatch.git
