## nfswatch 4.99.14

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 INSTALL=install
 MANSUF=	8.gz
 STRIP=	-s
+PKG_CONFIG?= pkg-config
 
 IRIX40CFLAGS=	-DIRIX40 -O -cckr
 IRIX51CFLAGS=	-DIRIX51 -DIRIX40 -O -cckr -D_BSD_SIGNALS
@@ -45,7 +46,7 @@
 SVR4CFLAGS=	-DSVR4 -O
 ULTRIXCFLAGS=	-DULTRIX -O
 DECOSFCFLAGS=	-DDECOSF -O
-LINUXCFLAGS=	-DLINUX -O -Wall -W $(shell pkg-config --cflags libtirpc) $(RPM_OPT_FLAGS)
+LINUXCFLAGS=	-DLINUX -O -Wall -W $(shell $(PKG_CONFIG) --cflags libtirpc) $(RPM_OPT_FLAGS)
 
 IRIX40LIBS=	-lcurses -ltermcap -lsun -lm
 IRIX51LIBS=	-lcurses -ltermcap -lm
@@ -58,7 +59,7 @@
 ULTRIXLIBS=	-lcurses -ltermcap -lm
 #DECOSFLIBS=	-lcurses -ltermcap -lm
 DECOSFLIBS=	-lcurses -ltermcap -lm pfopen.c
-LINUXLIBS=	-lpcap $(shell pkg-config --libs libtirpc) -lncurses -lm
+LINUXLIBS=	-lpcap $(shell $(PKG_CONFIG) --libs libtirpc) -lncurses -lm
 
 CFLAGS=
 LIBS=
