=== debian/changelog ===
nfswatch (4.99.14-1) unstable; urgency=medium

  * New upstream version 4.99.14
  * Declare compliance with Debian policy 4.7.0
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Feb 2025 16:59:24 +0100
