=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libpcap0.8-dev,
  libtirpc-dev,
  pkgconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://nfswatch.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/carnil/nfswatch
 Vcs-Git: https://salsa.debian.org/carnil/nfswatch.git
